Name:           nde-session
Summary:        Main session for Nde desktop suite
Version:        0.0.1
Release:        37.1%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz


BuildRequires:  %{?fedora:cmake}%{!?fedora:cmake3} >= 3.0
BuildRequires:  nde-lib-devel >= 0.0.1-6
BuildRequires: pkgconfig(libstatgrab)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Help)
#BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  nde-qtxdg-devel
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  kf5-kwindowsystem-devel >= 5.5
BuildRequires:  desktop-file-utils
Requires:       dbus-x11
Requires:       nde-qtxdg

Patch3000: 3000-modify-kwin-windowmanager-with-xfwm.patch

# use pcmanfm-qt for default desktop
Recommends:    pcmanfm-qt

%description
%{summary}.

%package l10n
Summary:        Translations for nde-session
Requires:       nde-session
%description l10n
This package provides translations for the nde-session package.

%prep
%setup -q
%patch3000 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake_nde} -DBUNDLE_XDG_UTILS=NO -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
#for name in config-session hibernate lockscreen logout reboot shutdown suspend; do
#	desktop-file-edit --remove-category=Nde --add-category=X-Nde \
#		--remove-only-show-in=Nde --add-only-show-in=X-Nde %{buildroot}%{_datadir}/applications/nde-${name}.desktop
#done
mkdir %{buildroot}%{_sysconfdir}/nde/
cp %{buildroot}%{_datadir}/nde/nde.conf %{buildroot}%{_datadir}/nde/session.conf %{buildroot}%{_sysconfdir}/nde/
# sed -i 's/theme=frost/theme=fedora-nde/g;s/icon_theme=oxygen/icon_theme=breeze/g;s/style=Fusion/style=breeze/g' %{buildroot}%{_sysconfdir}/nde/nde.conf
# sed -i 's/cursor_theme=whiteglass/cursor_theme=breeze_cursors/g;/General/a window_manager=openbox' %{buildroot}%{_sysconfdir}/nde/session.conf


%find_lang nde-session --with-qt
%find_lang nde-config-session --with-qt
%find_lang nde-leave --with-qt


%files
%{_bindir}/nde-session
%{_bindir}/nde-config-session
%{_bindir}/nde-leave
%{_bindir}/startnde
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/nde-xscreensaver-autostart.desktop
%{_sysconfdir}/xdg/openbox/nde-rc.xml
%{_sysconfdir}/nde/
%{_datadir}/kdm/sessions/nde.desktop
%{_datadir}/nde/nde.conf
%{_datadir}/nde/session.conf
%{_datadir}/nde/windowmanagers.conf
%{_datadir}/xsessions/nde.desktop
%{_mandir}/man1/startnde.1.gz
%{_mandir}/man1/nde-config-session*
%{_mandir}/man1/nde-leave*
%{_mandir}/man1/nde-session*

%files l10n -f nde-session.lang -f nde-leave.lang -f nde-config-session.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/%{name}
%dir %{_datadir}/nde/translations/nde-config-session
%dir %{_datadir}/nde/translations/nde-leave

%changelog
* Thu Dec 19 2024 He Leilei <he.leilei@gd-linux.com> -0.0.1-37.1
- modify default window_manager with xfwm4

* Fri Oct 22 2021 He Leilei <he.leilei@zte.com.cn> -0.0.1-37
- 修改默认主题为Light

* Mon Sep 06 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-36
- 开启模糊前使能

* Thu Sep 2 2021 He Leilei <he.leilei@zte.com.cn> -0.0.1-35
- 修改模糊特效强度

* Wed Aug 25 2021 He Leilei <he.leilei@zte.com.cn> -0.0.1-34
- 修改默认主题为Dark

* Wed Aug 25 2021 He Leilei <he.leilei@zte.com.cn> -0.0.1-33
- 添加模糊背景

* Fri Aug 20 2021 Lei Bao <lei.bao@zte.com.cn> -0.0.1-32
- 修改重启界面在高dpi下字体太小问题

* Thu Aug 19 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-31
- 添加特效更改通知信号，添加模糊设置

* Thu Aug 12 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-30
- 更换特效获取何设置接口

* Mon Apr 12 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-29
- 去点睡眠确认界面

* Mon Mar 01 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-28
- 修复更改用户头像后，在关机、重启、注销的确认界面中，用户头像没有同步问题(#3375)

* Tue Feb 23 2021 lv kaiyi <lv.kaiyi@zte.com.cn> -0.0.1-27
- 修改session创建机制，同一用户只能创建一次

* Mon Jan 04 2021 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-26
- 更改切换用户接口，更新切换用户

* Thu Dec 24 2020 He Yingkang <he.yingkang@zte.com.cn> -0.0.1-25
- 修改注销界面花屏问题，重构部分代码

* Wed Dec 23 2020 He Yingkang <he.yingkang@zte.com.cn> -0.0.1-24
- 修改特效获取设置借口

* Mon Nov 30 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-23
- session泄漏问题

* Wed Nov 25 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-22
- 更换关闭应用接口

* Thu Nov 19 2020 He Leilei <he.leilei@zte.com.cn> -0.0.1-21
- 修改特效设置接口，去除黑色边框

* Wed Nov 11 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-20
- 离开界面双屏显示

* Wed Nov 4 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-19
- 取消调用登录接口

* Fri Oct 23 2020 He Leilei <he.leilei@zte.com.cn> -0.0.1-18
- 添加特效设置接口

* Wed Oct 21 2020 He Leilei <he.leilei@zte.com.cn> -0.0.1-17
- 添加模糊效果设置的配置

* Thu Sep 10 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-15
- 添加汉化

* Wed Sep 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-14
- 去掉切换用户中间界面

* Tue Aug 25 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-12
- 修改样式，添加切换用户接口

* Thu Aug 13 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-10
- 注销后回到登录界面

* Wed Jul 22 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-8
- 恢复睡眠接口

* Wed Jul 08 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-7
- 添加遮罩色，修改图片路径  睡眠接口修改成挂起

* Thu Jul 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-6
- 添加离开系统界面

* Thu Jun 4 2020 Zhang Wen <zhang.wen2@zte.com.cn> -0.0.1-5
- 默认字体为思源黑体

* Mon May 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> -0.0.1-1
- Rename(984) 

* Fri May 15 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-6
- 修改默认光标 

* Thu May 14 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-5
- 修改默认光标

* Thu May 14 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-4
- 修改默认窗口管理为kwin和QT风格默认为Newstart和去掉openbox依赖

* Thu May 14 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3
- 修改依赖和默认图标主题和默认字体 

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

